#ifndef sdadc_h_included
#define sdadc_h_included

#include "stm32f37x.h"
#include "stm32f37x_rcc.h"
#include "stm32f37x_gpio.h"
#include "stm32f37x_syscfg.h"
#include "stm32f37x_misc.h"
#include "stm32f37x_pwr.h"
#include "stm32f37x_sdadc.h"
#include "delay.h"



#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern int32_t read_SDADC(SDADC_TypeDef *SDADC, uint16_t nrep);
extern uint32_t uread_SDADC(SDADC_TypeDef *SDADC, uint16_t nrep);
extern uint8_t init_SDADC1(uint32_t Channel, uint32_t Gain);
extern uint8_t init_SDADC2(uint32_t Channel, uint32_t Gain);
extern uint8_t init_SDADC3(uint32_t Channel, uint32_t Gain);
void init_all_SDADC();

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
